For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
GuidesAPI Reference
GuidesAPI Reference
  • API Reference
      • GETList Current Org Users
      • POSTCreate Current Org User
      • GETGet Current Org User
      • PUTUpdate Current Org User
      • DELDelete Current Org User
      • GETList Partner Users
      • POSTCreate Partner User
      • GETGet Partner User
      • PUTUpdate Partner User
      • DELDelete Partner User
      • POSTCreate Partner User API Key
Logo
Log inBook a demo
API ReferenceUsers

Get Partner User

GET
https://app.polytomic.com/api/organizations/:org_id/users/:id
GET
/api/organizations/:org_id/users/:id
$curl https://app.polytomic.com/api/organizations/248df4b7-aa70-47b8-a036-33ac447e668d/users/248df4b7-aa70-47b8-a036-33ac447e668d \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "data": {
3 "email": "jane.doe@polytomic.com",
4 "id": "9f8b7c6d-1234-4a56-b789-0c1d2e3f4a5b",
5 "organization_id": "248df4b7-aa70-47b8-a036-33ac447e668d",
6 "role_ids": [
7 "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
8 ],
9 "role": "admin"
10 }
11}

Returns a single user in the specified organization.

🚧 Requires partner key

User endpoints are only accessible using partner keys.

Was this page helpful?
Previous

Update Partner User

Next

Authentication

AuthorizationBearer
Bearer partner API key

Path parameters

idstringRequiredformat: "uuid"
Unique identifier of the user.
org_idstringRequiredformat: "uuid"
Unique identifier of the organization the user belongs to.

Headers

X-Polytomic-VersionstringOptional

Response

OK
dataobject

Errors

403
Forbidden Error
404
Not Found Error
500
Internal Server Error